local ____exports = {}
local ____isaac_2Dtypescript_2Ddefinitions = require("isaac-typescript-definitions")
local RoomShape = ____isaac_2Dtypescript_2Ddefinitions.RoomShape
local ONE_BY_ONE_WIDTH = 15
local TWO_BY_ONE_WIDTH = 28
____exports.ROOM_SHAPE_TO_GRID_WIDTH = {
    [RoomShape.SHAPE_1x1] = ONE_BY_ONE_WIDTH,
    [RoomShape.IH] = ONE_BY_ONE_WIDTH,
    [RoomShape.IV] = ONE_BY_ONE_WIDTH,
    [RoomShape.SHAPE_1x2] = ONE_BY_ONE_WIDTH,
    [RoomShape.IIV] = ONE_BY_ONE_WIDTH,
    [RoomShape.SHAPE_2x1] = TWO_BY_ONE_WIDTH,
    [RoomShape.IIH] = TWO_BY_ONE_WIDTH,
    [RoomShape.SHAPE_2x2] = TWO_BY_ONE_WIDTH,
    [RoomShape.LTL] = TWO_BY_ONE_WIDTH,
    [RoomShape.LTR] = TWO_BY_ONE_WIDTH,
    [RoomShape.LBL] = TWO_BY_ONE_WIDTH,
    [RoomShape.LBR] = TWO_BY_ONE_WIDTH
}
return ____exports
